$(document).ready(function () {
    $('#helplink').unbind('click').click(function () { openDialog($('#helplink').attr('href')); return false; });
    
    // подсказка для сервисов
    setHelpLinkEvents($('#linklistServiceHelp'));
    //подсказка для типов заявок
    setHelpLinkEvents($('#linklistTaskTypeHelp'));
    //подсказка для типов активов
    setHelpLinkEvents($('#linklistAssetTypeHelp'));

    $("input[type=radio]").css("margin-right", "5px");
    if ($.multipleSelect) $.multipleSelect.initByClassName('.multipleselect', { maxwidth: '300px', init: true });
});

function deleteFile() {
    $('#DeleteFile').val("true");
    $('#filecontainer').remove();
    $('.file').addClass('required');
    $('#addfile').show();
}


function setHelpLinkEvents(obj) {
    if (obj != undefined) {
        var id = obj.attr("id");
        if (id != undefined) {
            var i = id.indexOf('link') + 4;
            var idHelp = id.substring(i, id.length);
            obj.mouseover(function () { $('#'+idHelp).show(); });
            obj.mouseout(function () { $('#'+idHelp).hide(); });
        }
    }
}